EUCA-CREATE-IMAGE(1)

NAME
euca-create-image - Create an EBS image from a running or stopped EBS instance

SYNOPSIS
euca-create-image -n NAME [-d DESC] [--no-reboot] [-b DEVICE=MAPPED]

[--show-empty-fields] [-U URL] [--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Create an EBS image from a running or stopped EBS instance

  positional arguments:

INSTANCE
    instance from which to create the image (required)

  optional arguments:

-n NAME, --name NAME
    name for the new image (required)

-d DESC, --description DESC
    description for the new image

--no-reboot
    do not shut down the instance before creating the image. Image integrity may be affected.

-b DEVICE=MAPPED, --block-device-mapping DEVICE=MAPPED
    define a block device mapping for the image, in the form DEVICE=MAPPED, where "MAPPED" is "none", "ephemeral(0-3)", or "[SNAP_ID]:[GiB]:[true|false]:[st andard|VOLTYPE[:IOPS]]"

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit